How to get Minidump Manager

Navigation: »No topics above this level«

How to get Minidump Manager

 Return to chapter overview

Minidump Manager is free for commercial use. Minidump Manager can be downloaded for Software Verify's website at https://www.softwareverify.com/product/minidump-manager/.

This help manual is available in Compiled HTML Help (Windows Help files), PDF, and online.

Windows Help | https://www.softwareverify.com/documentation/chm/miniDumpManager.chm
PDF | https://www.softwareverify.com/documentation/pdfs/miniDumpManager.pdf
Online | https://www.softwareverify.com/documentation/html/miniDumpManager/index.html

Whilst Minidump Manager is free for commercial use, Minidump Manager is copyrighted software and is not in the public domain.

You are free to use the software at your own risk.

You are not allowed to distribute the software in any form, or to sell the software, or to host the software on a website.

Contact

Contact Software Verify at:

Software Verify Limited

Suffolk Business Park

Eldo House

Kempson Way

Bury Saint Edmunds

IP32 7AR

United Kingdom

email | sales@softwareverify.com
web | https://www.softwareverify.com
blog | https://www.softwareverify.com/blog
twitter | http://twitter.com/softwareverify

Visit our blog to read our articles on debugging techniques and tools.

Follow us on twitter to keep track of the latest software tools and updates.


What does Minidump Manager do?

What does Minidump Manager do?

 Return to chapter overview

Minidump Manager allows you to manage and identify minidumps on your machine, or your network.

Options are provided for advanced filtering of minidumps and to launch debuggers and minidump visualisation tools.

32 bit and 64 bit

32 bit and 64 bit miniDumps are supported.


Menu

Menu

The main menu contains three menus, File, Software Updates and Help.


File

Navigation: Menu >

File

 Return to chapter overview

The File menu controls the scanning and display of minidumps.

File menu instructionStep Scan Directories... instructionStep scans directories for minidump files. Any files found are shown on the user interface.

The scan process is controlled by the Scan Directories dialog.

File menu instructionStep Stop scanning instructionStep stops scanning for minidumps.

File menu instructionStep Clear scan results instructionStep the user interface contents are reset to show no minidumps.

File menu instructionStep Use Colour instructionStep this controls if the user interface uses colour to encode the type of minidumps being displayed.

File menu instructionStep Exit instructionStep closes Minidump Manager.


Software Updates

Navigation: Menu >

Software Updates

 Return to chapter overview

The Software Updates menu controls how often software updates are downloaded.

If you've been notified of a new software release to Minidump Manager or just want to see if there's a new version, this feature makes it easy to update.

menu Software Updates menu instructionStep Check for software updates instructionStep checks for updates and shows the software update dialog if any exist

An internet connection is needed to be able to make contact with our servers.

note Before updating the software, close the help manual, and end any active session by closing target programs.

If no updates are available, you'll just see this message:

Software Update dialog

If a software update is available for Minidump Manager you'll see the software update dialog.

·Download and install instructionStep downloads the update, showing progress

Once the update has downloaded, Minidump Manager will close, run the installer, and restart.

You can stop the download at any time, if necessary.

·Don't download... instructionStep Doesn't download, but you'll be prompted for it again next time you start Minidump Manager

·Skip this version... instructionStep Doesn't download the update and doesn't bother you again until there's an even newer update

·Software update options... instructionStep edit the software update schedule

Problems downloading or installing?

If for whatever reason, automatic download and installation fails to complete:

·Download the latest installer manually from the software verify website.

Make some checks for possible scenarios where files may be locked by Minidump Manager as follows:

·Ensure Minidump Manager and its help manual is also closed

·Ensure any error dialogs from the previous installation are closed

You should now be ready to run the new version.

Software update schedule

Minidump Manager can automatically check to see if a new version of Minidump Manager is available for downloading.

menu Software Updates menu instructionStep Configure software updates instructionStep shows the software update schedule dialog

The update options are:

·never check for updates

·check daily (the default)

·check weekly

·check monthly

The most recent check for updates is shown at the bottom.

Software update directory

It’s important to be able to specify where software updates are downloaded to because of potential security risks that may arise from allowing the TMP directory to be executable. For example, to counteract security threats it's possible that account ownership permissions or antivirus software blocks program execution directly from the TMP directory.

The TMP directory is the default location but if for whatever reason you're not comfortable with that, you can specify your preferred download directory. This allows you to set permissions for TMP to deny execute privileges if you wish.

menu Software Updates menu instructionStep Set software update directory instructionStep shows the Software update download directory dialog

An invalid directory will show the path in red and will not be accepted until a valid folder is entered.

Example reasons for invalid directories include:

·the directory doesn't exist

·the directory doesn't have write privilege (update can't be downloaded)

·the directory doesn't have execute privilege (downloaded update can't be run)

note When modifying the download directory, you should ensure the directory will continue to be valid. Updates may no longer occur if the download location is later invalidated.

·Reset instructionStep reverts the download location to the user's TMP directory

The default location is c:\users\[username]\AppData\Local\Temp


Help

Navigation: Menu >

Help

 Return to chapter overview

The Help menu controls displaying this help document and displaying information about Minidump Manager.

Help menu instructionStep About Minidump Manager... instructionStep displays information about Minidump Manager.

Help menu instructionStep Readme and Version History... instructionStep displays the readme and version history.

Help menu instructionStep Help Topics... instructionStep displays this help file.

Help menu instructionStep Help PDF... instructionStep displays this help file in PDF format.

Help menu instructionStep Help on softwareverify.com... instructionStep display the Software Verify documentation web page where you can view online documentation or download compiled HTML Help and PDF help documents.

Help menu instructionStep Blog... instructionStep display the Software Verify blog.

Help menu instructionStep Library... instructionStep display the Software Verify library - our best blog articles grouped by related topics.

Help menu instructionStep Contact customer support... instructionStep displays the options for contacting customer support.

Click a link to contact customer support.

Help menu instructionStep How do I?... instructionStep displays the options for asking us how to do a particular task.


The user interface

The user interface

The Minidump Manager user interface is shown below.

The top of the display allows you to choose between viewing all of the minidumps or a subset of the minidumps.

·All instructionStep all minidumps found

·User instructionStep all minidumps under the c:\users directory

·Custom instructionStep all minidumps found in locations outside the c:\users directory

The display shows one minidump per line.

Each line displays the minidump file location, the date of the minidump, the size of the minidump, the type of minidump the processor architecture of the target executable and the operating system the executable was running on. If an exception is present a description of the exception, the DLL the exception happened in and the address of the exception are displayed.

The display can be sorted by each column. Click the column header to choose which column to sort. Click the same column header again to reverse the sorting direction.

The display is colour coded according to the type of minidump. This colour coding can be enabled or disable from the File menu.

Context Menu

There is a context menu which you can access by right clicking on any minidump. This provides options for launching debuggers and minidump visualisers.

·Visual Studio

Visual Studio is launched to open the minidump. Unless otherwise configured, the Visual Studio chosen will be the most recently released Visual Studio installed on the machine.

·WinDbg

WinDbg is launched to open the minidump. Unless otherwise configured, the WinDbg chosen will be the most recently released WinDbg installed on the machine.

·VM Validator

VM Validator is launched to visualise the memory layout of the minidump. You can download VM Validator for free.

·Minidump Browser

Minidump Browser is launched to allow you to explore the data streams inside a minidump. You can download Minidump Browser for free.

·Open Folder...

The specified folder is opened in Windows Explorer.


Scan Directories dialog

Scan Directories dialog

The Scan Directories dialog controls the scanning and selection of minidumps for display on the user interface.

You can scan the entire machine, whole disk drives, or specify directories to scan.

In addition you can also specify filters that will select specific types of minidumps to be displayed.

Scanning drives

When Scan drives is selected you can specify individual drives or the whole machine.

If you wish to include networked drives there is an option for that.

Scanning directories

When scanning directories there are three default options and one custom option, each of which can be edited and enabled/disabled.

The default options are the Windows minidumps directory, the current user's minidumps, and all users minidumps. The custom option is any directory of your choice.

Options

Whether you are scanning drives or directories there are some options that affect both types of scan.

You may only want to scan the root of each drive or just the directories specified. Or you may want to scan all the subdirectories of each drive or directory (this is the default option).

The results on the user interface can be appended to, or cleared prior to the new scan. The default is to clear the user interface before each scan.

Choosing to edit the search filters will open the Search Filters dialog.

All search options can be reset via the Reset button.

Any scan that is started can be stopped from the File menu.


Search Filters dialog

Search Filters dialog

The Search Filters dialog allows you to configure how the filters identify minidumps that will be selected to be displayed on the user interface.

A minidump can be selected using three categories: Minidump stream type, Minidump flag, and if an exception is present (plus additional criteria per exception).

Minidump Stream

Selecting Any effectively turns this filter off, whereas selecting a specific stream means that for a minidump to be considered for display it must contain that stream.

Minidump flags

Minidumps can be created with a wide variety of flags which can be logically OR'd together to create an very large combination of possible flag values.

This filter simplifies things greatly by just letting you specify one flag to filter on (or to say the minidump flags don't matter by selecting Any).

Having specified a flag to filter on you can also state that you want only this flag to have been specified or that you don't mind if this flag was used in conjunction with other flags.

Exceptions

The exception filter allows you to ignore exceptions (None), or to be interested in all exceptions (Any), or to be interested in a specific exception.

The default is None. This means nothing about an exception in a minidump is used for filtering purposes. Choose None if you wish exceptions to be included for display regardless of what is contained in an exception.

Choosing Any or a specific exception enables the exception DLL specification.

If you specify a DLL then only mindumps containing exceptions of this type that occur in the specified DLL will be displayed.

Choosing STATUS_ACCESS_VIOLATION enable the exception address and type of access violation radio buttons.

If you specify an address then only mindumps containing exceptions of type STATUS_ACCESS_VIOLATION that happen at the specific address will be displayed.

If you specify a criteria for read exception or write exception then only mindumps containing exceptions of type STATUS_ACCESS_VIOLATION that happen for read or write (as appropriate) operations will be displayed.

Summary

As you can see it's possible to filter quite simply (by minidump stream type or minidump flag) or very specifically (an access violation in a specific DLL at a specific address when reading memory in a minidump that must have a specific stream and that was created using a specific minidump flag).

If you've made a mess of the filter settings and want to go back to the beginning use the Reset button.